services:
    app.reset_password_cleaner.user:
        class: SymfonyCasts\Bundle\ResetPassword\Util\ResetPasswordCleaner
        arguments:
            - '@App\Repository\User\UserResetPasswordRequestRepository'

    app.reset_password_helper.user:
        class: SymfonyCasts\Bundle\ResetPassword\ResetPasswordHelper
        arguments:
            - '@symfonycasts.reset_password.token_generator'
            - '@app.reset_password_cleaner.user'
            - '@App\Repository\User\UserResetPasswordRequestRepository'
            - '%app.user_reset_request_lifetime%'
            - '%app.user_reset_request_throttle%'
